# H245_RTPPayloadType_payloadDescriptor Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandardIdentifier, e_rfc_number, e_oid }

## Public Member Functions

| H245_RTPPayloadType_payloadDescriptor (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_RTPPayloadType_payloadDescriptor::Choices

Enumerator:

  e_nonStandardIdentifier |
  e_rfc_number |
  e_oid |

## Constructor & Destructor Documentation

H245_RTPPayloadType_payloadDescriptor::H245_RTPPayloadType_payloadDescriptor | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_RTPPayloadType_payloadDescriptor::operator H245_NonStandardParameter & | ( |  | ) |

H245_RTPPayloadType_payloadDescriptor::operator const H245_NonStandardParameter & | ( |  | ) | const

PBoolean H245_RTPPayloadType_payloadDescriptor::CreateObject | ( |  | ) |

PObject* H245_RTPPayloadType_payloadDescriptor::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h